---
# This role will attach workers to a swarm cluster
- name: Attach workers to swarm cluster
  docker_swarm:
    state: join
    advertise_addr: "{{ docker_swarm_node_advertise_addr }}"
    join_token: "{{ hostvars['swarm_first_manager']['swarm_info']['swarm_facts']['JoinTokens']['Worker'] }}"
    remote_addrs: "{{ primary_manager_ipv4 }}"
...